Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.distribution
Class Polynomial

    java.lang.Object
      sim.util.distribution.Constants
          sim.util.distribution.Polynomial

All Implemented Interfaces:
  java.io.Serializable

    public class Polynomial

extends Constants

Polynomial functions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class sim.util.distribution.Constants
`big, biginv, LOGPI, MACHEP, MAXGAM, MAXLOG, MINLOG, SQRTH, SQTPI`

Constructor Summary
`protected` | `Polynomial()` Makes this class non instantiable, but still let's others inherit from it.

Method Summary
`static double` | `p1evl(double x, double[] coef, int N)` Evaluates the given polynomial of degree `N` at `x`, assuming coefficient of N is 1.0.
`static double` | `polevl(double x, double[] coef, int N)` Evaluates the given polynomial of degree `N` at `x`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Polynomial

    protected Polynomial()

  Makes this class non instantiable, but still let's others inherit from it.

Method Detail

### p1evl

    public static double p1evl(double x,
                               double[] coef,
                               int N)
                        throws java.lang.ArithmeticException

  Evaluates the given polynomial of degree `N` at `x`, assuming coefficient of N is 1.0. Otherwise same as `polevl()`.

                           2          N
       y  =  C  + C x + C x  +...+ C x
              0    1     2          N

       where C  = 1 and hence is omitted from the array.
              N

       Coefficients are stored in reverse order:

       coef[0] = C  , ..., coef[N-1] = C  .
                  N-1                   0

       Calling arguments are otherwise the same as polevl().

  In the interest of speed, there are no checks for out of bounds arithmetic.

  Parameters:
    `x` - argument to the polynomial.
    `coef` - the coefficients of the polynomial.
    `N` - the degree of the polynomial.
  Throws:
    `java.lang.ArithmeticException`

### polevl

    public static double polevl(double x,
                                double[] coef,
                                int N)
                         throws java.lang.ArithmeticException

  Evaluates the given polynomial of degree `N` at `x`.

                           2          N
       y  =  C  + C x + C x  +...+ C x
              0    1     2          N

       Coefficients are stored in reverse order:

       coef[0] = C  , ..., coef[N] = C  .
                  N                   0

  In the interest of speed, there are no checks for out of bounds arithmetic.

  Parameters:
    `x` - argument to the polynomial.
    `coef` - the coefficients of the polynomial.
    `N` - the degree of the polynomial.
  Throws:
    `java.lang.ArithmeticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD